View Issue Details

IDProjectCategoryView StatusLast Update
0019045LazarusDebuggerpublic2013-03-19 19:51
ReportertintinuxAssigned ToMartin Friebe 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.30Product Build 
Target VersionFixed in Version0.9.31 (SVN) 
Summary0019045: No debugger for Windows ?
DescriptionAfter removing the old release, and installing Lazarus 0.9.30 with the installer, no debugger is selected.

In environment, options, debugger, there is nothing.
GNU debuggers are suggested in the first drop down list. Are they for Windows ?
In the 2nd drop down list the suggested file names have Unix pathnames (/usr/bin ...)

I think that a default debugger should be selected after installation, and that suggested paths are wrong.

TagsNo tags attached.
Fixed in Revision32341
LazTarget0.99.0
WidgetsetWin32/Win64
Attached Files

Activities

Juha Manninen

2011-07-20 09:14

developer   ~0050062

Yes, gdb is typically located under FPC directory and it should be selected automatically while selecting the compiler.
Also the Unix paths are useless on Windows. They could be replaced with some typical values like :
 C:\FPC\2.4.4\bin\i386-win32\gdb.exe
etc.

Martin Friebe

2011-07-20 12:23

manager   ~0050066

gdb is included in the Lazarus installer too. The Lazarus supplied one may be more up to date, and probably better tested.

Juha Manninen

2011-07-20 13:53

developer   ~0050067

Lazarus installer could do it more easily then.

I use Lazarus trunk from SVN server myself. I remember having hard times finding the debugger for the first time on Windows.
Lazarus searches the compiler (or lets the user select it). At the same time it could configure the debugger.
I remember having reported that "the paths dropdown doesn't include Windows paths", but can't find it right now :-S

Martin Friebe

2011-09-15 00:11

manager   ~0051829

Windows now has it's own default paths. As under Linux they are typical locations, not necessarily real locations.
1) <current laz dir>\mingw\bin\gdb.exe
  This is where the lazarus installer puts the gdb exe (it requires the current laz dir)
2) C:\lazarus\mingw\bin\gdb.exe
  This is the default install location

If you can provide other reasonable locations, they may be added.

You can TEST them by adding them to debugger\gdbmidebugger.pas search for ExePaths

Please close if ok

tintinux

2013-03-19 19:51

reporter   ~0066405

OK !

Issue History

Date Modified Username Field Change
2011-03-31 18:36 tintinux New Issue
2011-03-31 18:36 tintinux Status new => assigned
2011-03-31 18:36 tintinux Assigned To => Marc Weustink
2011-03-31 18:36 tintinux Widgetset => Win32/Win64
2011-07-05 02:18 Marc Weustink Assigned To Marc Weustink => Martin Friebe
2011-07-20 09:14 Juha Manninen LazTarget => 0.99.0
2011-07-20 09:14 Juha Manninen Note Added: 0050062
2011-07-20 12:23 Martin Friebe Note Added: 0050066
2011-07-20 13:53 Juha Manninen Note Added: 0050067
2011-09-06 19:35 Flávio Etrusco (notifications not working) Note Added: 0051523
2011-09-15 00:11 Martin Friebe Fixed in Revision => 32341
2011-09-15 00:11 Martin Friebe Status assigned => resolved
2011-09-15 00:11 Martin Friebe Fixed in Version => 0.9.31 (SVN)
2011-09-15 00:11 Martin Friebe Resolution open => fixed
2011-09-15 00:11 Martin Friebe Note Added: 0051829
2011-09-15 00:11 Martin Friebe Target Version => 0.99.0
2013-03-19 19:51 tintinux Note Added: 0066405
2013-03-19 19:51 tintinux Status resolved => closed